curl -X POST "https://YOUR_BASE_URL/jobs/comparison/details" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>" \
-H "Content-Type: application/json" \
-d '[1042, 1043]'
import requests
url = "https://YOUR_BASE_URL/jobs/comparison/details"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
response = requests.post(url, json=[1042, 1043], headers=headers)
print(response.json())
const response = await fetch(
"https://YOUR_BASE_URL/jobs/comparison/details",
{
method: "POST",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
"Content-Type": "application/json",
},
body: JSON.stringify([1042, 1043]),
}
);
const data = await response.json();
console.log(data);
{
"data": [
{
"run_id": 1042,
"comparison_id": "eeeeeeee-0000-0000-0000-000000000005",
"comparison_name": "orders table comparison",
"status": "SUCCESS",
"failure_reason": null,
"started_at": "2025-01-15T10:00:02Z",
"finished_at": "2025-01-15T10:01:45Z",
"result": {
"diff_status": "MISMATCH",
"diff_reasons": ["Row count mismatch", "Column value differences in total"],
"time_taken": 103.2
}
}
],
"meta": {}
}
Jobs
Get Job Details
Retrieve details for a list of comparison jobs by their job IDs.
POST
/
jobs
/
comparison
/
details
curl -X POST "https://YOUR_BASE_URL/jobs/comparison/details" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>" \
-H "Content-Type: application/json" \
-d '[1042, 1043]'
import requests
url = "https://YOUR_BASE_URL/jobs/comparison/details"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
response = requests.post(url, json=[1042, 1043], headers=headers)
print(response.json())
const response = await fetch(
"https://YOUR_BASE_URL/jobs/comparison/details",
{
method: "POST",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
"Content-Type": "application/json",
},
body: JSON.stringify([1042, 1043]),
}
);
const data = await response.json();
console.log(data);
{
"data": [
{
"run_id": 1042,
"comparison_id": "eeeeeeee-0000-0000-0000-000000000005",
"comparison_name": "orders table comparison",
"status": "SUCCESS",
"failure_reason": null,
"started_at": "2025-01-15T10:00:02Z",
"finished_at": "2025-01-15T10:01:45Z",
"result": {
"diff_status": "MISMATCH",
"diff_reasons": ["Row count mismatch", "Column value differences in total"],
"time_taken": 103.2
}
}
],
"meta": {}
}
Response
List of job detail objects.
Show data[]
Show data[]
curl -X POST "https://YOUR_BASE_URL/jobs/comparison/details" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>" \
-H "Content-Type: application/json" \
-d '[1042, 1043]'
import requests
url = "https://YOUR_BASE_URL/jobs/comparison/details"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
response = requests.post(url, json=[1042, 1043], headers=headers)
print(response.json())
const response = await fetch(
"https://YOUR_BASE_URL/jobs/comparison/details",
{
method: "POST",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
"Content-Type": "application/json",
},
body: JSON.stringify([1042, 1043]),
}
);
const data = await response.json();
console.log(data);
{
"data": [
{
"run_id": 1042,
"comparison_id": "eeeeeeee-0000-0000-0000-000000000005",
"comparison_name": "orders table comparison",
"status": "SUCCESS",
"failure_reason": null,
"started_at": "2025-01-15T10:00:02Z",
"finished_at": "2025-01-15T10:01:45Z",
"result": {
"diff_status": "MISMATCH",
"diff_reasons": ["Row count mismatch", "Column value differences in total"],
"time_taken": 103.2
}
}
],
"meta": {}
}